%define upstream_name    Package-Stash-XS
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Faster and more correct implementation of the Package::Stash API
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This is a backend for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Package/Stash/
%{perl_vendorarch}/auto/Package/Stash/

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 371366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 342470
- update to 0.26

* Wed May 30 2012 jquelin <jquelin> 0.250.0-2.mga3
+ Revision: 251004
- rebuild for perl 5.16

* Sun Nov 06 2011 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 164282
- remove old tarball
- update to 0.23

  + takashi <takashi>
    - update to 0.25

* Sun Jun 12 2011 ahmad <ahmad> 0.220.0-2.mga2
+ Revision: 104513
- Rebuild for perl-5.14.0

* Wed Mar 09 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 67026
- update to 0.22

* Tue Jan 25 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 38329
- update to 0.21

* Tue Jan 25 2011 jquelin <jquelin> 0.200.0-2.mga1
+ Revision: 38314
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 24545
- adding missing buildrequires:
- fix specs

  + shikamaru <shikamaru>
    - imported package perl-Package-Stash-XS

